Open CASCADE Technology: BRepMesh_Triangle Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepMesh_Triangle Class Reference

Light weighted structure representing triangle of mesh consisting of oriented links. More...

`#include <BRepMesh_Triangle.hxx>`

## Public Member Functions
| BRepMesh_Triangle ()
| Default constructor. More...
| BRepMesh_Triangle (const Standard_Integer(&theEdges)[3], const Standard_Boolean(&theOrientations)[3], const BRepMesh_DegreeOfFreedom theMovability)
| Constructor. More...
void | Initialize (const Standard_Integer(&theEdges)[3], const Standard_Boolean(&theOrientations)[3], const BRepMesh_DegreeOfFreedom theMovability)
| Initializes the triangle by the given parameters. More...
void | Edges (Standard_Integer(&theEdges)[3], Standard_Boolean(&theOrientations)[3]) const
| Gets edges with orientations composing the triangle. More...
BRepMesh_DegreeOfFreedom | Movability () const
| Returns movability of the triangle. More...
void | SetMovability (const BRepMesh_DegreeOfFreedom theMovability)
| Sets movability of the triangle. More...
Standard_Integer | HashCode (const Standard_Integer theUpper) const
| Returns hash code for this triangle. More...
Standard_Boolean | IsEqual (const BRepMesh_Triangle &theOther) const
| Checks for equality with another triangle. More...
Standard_Boolean | operator== (const BRepMesh_Triangle &theOther) const
| Alias for IsEqual. More...

## Detailed Description

Light weighted structure representing triangle of mesh consisting of oriented links.

## Constructor & Destructor Documentation

BRepMesh_Triangle::BRepMesh_Triangle | ( |  | ) |
| inline

Default constructor.

BRepMesh_Triangle::BRepMesh_Triangle | ( | const Standard_Integer(&) | theEdges[3],
|  | const Standard_Boolean(&) | theOrientations[3],
|  | const BRepMesh_DegreeOfFreedom | theMovability
| ) |  |
| inline

Constructor.

Parameters

  theEdges | array of edges of triangle.
  theOrientations | array of edge's orientations.
  theMovability | movability of triangle.

## Member Function Documentation

void BRepMesh_Triangle::Edges | ( | Standard_Integer(&) | theEdges[3],
|  | Standard_Boolean(&) | theOrientations[3]
| ) |  | const
| inline

Gets edges with orientations composing the triangle.

Parameters

  [out] | theEdges | array edges are stored to.
  [out] | theOrientations | array orientations are stored to.

Standard_Integer BRepMesh_Triangle::HashCode | ( | const Standard_Integer | theUpper | ) | const
| inline

Returns hash code for this triangle.

Parameters

  theUpper | upper index in the container.

Returns
  hash code.

void BRepMesh_Triangle::Initialize | ( | const Standard_Integer(&) | theEdges[3],
|  | const Standard_Boolean(&) | theOrientations[3],
|  | const BRepMesh_DegreeOfFreedom | theMovability
| ) |  |
| inline

Initializes the triangle by the given parameters.

Parameters

  theEdges | array of edges of triangle.
  theOrientations | array of edge's orientations.
  theMovability | movability of triangle.

Standard_Boolean BRepMesh_Triangle::IsEqual | ( | const BRepMesh_Triangle & | theOther | ) | const
| inline

Checks for equality with another triangle.

Parameters

  theOther | triangle to be checked against this one.

Returns
  TRUE if equal, FALSE if not.

BRepMesh_DegreeOfFreedom BRepMesh_Triangle::Movability | ( |  | ) | const
| inline

Returns movability of the triangle.

Standard_Boolean BRepMesh_Triangle::operator== | ( | const BRepMesh_Triangle & | theOther | ) | const
| inline

Alias for IsEqual.

void BRepMesh_Triangle::SetMovability | ( | const BRepMesh_DegreeOfFreedom | theMovability | ) |
| inline

Sets movability of the triangle.

The documentation for this class was generated from the following file:

- BRepMesh_Triangle.hxx